## wacomtablet 6.4.2

=== debian/changelog ===
wacomtablet (6.4.2-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 22:52:37 +0000

wacomtablet (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:40:35 +0000

wacomtablet (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:33:06 +0000

wacomtablet (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:03:08 +0000

wacomtablet (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 07 May 2025 15:54:25 +1000

wacomtablet (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 06:50:59 +0000

wacomtablet (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 14:53:00 +0000

wacomtablet (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 16:55:36 +0000

wacomtablet (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:38:31 +0000

wacomtablet (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:16:03 +0000

wacomtablet (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:42:22 +0000

wacomtablet (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:18:45 +0000

wacomtablet (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 13:55:52 +0000

wacomtablet (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:46:35 +0000

wacomtablet (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 15:52:26 +0000

wacomtablet (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:24:10 +0000

wacomtablet (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 12:56:49 +0000

wacomtablet (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:20:48 +0000

wacomtablet (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 16:56:45 +0000

wacomtablet (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:29:33 +0000

wacomtablet (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:45:25 +0000

wacomtablet (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:08:20 +0000

wacomtablet (6.0.2-0neon) jammy; urgency=medium

  [ Carlos De Maine ]
  * bump version to match plasma 6 megarelease

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:38:06 +0000

wacomtablet (3.1.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Dec 2018 21:02:04 +0000

wacomtablet (3.1.0-0neon) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. (Closes: #896819)
  * Merge in qt5 port work I did for neon.
    - Correct kdoctools, plasma-framework dependency naming in debian.
    - Restore Maintainers and add myself to uploaders.
  * Bump compat to 11.
    - Bump debhelper requirement (>= 11).
  * Bump Standards version 4.1.3.
  * Update copyright file to format version 1.0.
  * Change Priority to optional.
  * Add hardening+=bindnow.
  * Add extra-cmake-modules lost in merge.
  * Fix VCS entries - moved to extras.
  * New point release.
  * Add new dependency for libwacom-dev and pkg-config.
  * Use dh_missing instead of dh_install --list-missing.
  * README no longer exists - remove install file.
  * Fix dh_missing override to include command.
  * Update Standards-Version to 4.1.4. No changes needed.
  * Add missing libxcb-xinput-dev build dependency, wrap-and-sort.
  * Add a patch to fix binary spelling error. Sent upstream.
  * Use https in watch file uri.
  * Add dep3 header to fix binary spelling patch.
  * Add autopkgtest tests.
  * Remove the test override in rules.
  * Update gpg signing key.
  * Add test dependencies and override to use xvfb-run dbus session so
    the tests pass.
  * Upload to unstable.

 -- Scarlett Clark <sgclark@kde.org>  Fri, 24 Aug 2018 05:55:59 -0700

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6


override_dh_auto_test:
	xvfb-run -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" -a dbus-run-session dh_auto_test

## wacomtablet 6.4.3

=== debian/changelog ===
wacomtablet (6.4.3-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 14:35:47 +0000

wacomtablet (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 10:48:41 +0000

## wacomtablet 6.4.4

=== debian/changelog ===
wacomtablet (6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:17 +0200

wacomtablet (6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 27 Aug 2025 15:27:35 +0200

wacomtablet (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Refresh appstream-add-provides-modalias.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:32:39 +0100

=== debian/control ===
Source: wacomtablet
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libplasma-dev (>= 6.4.4~),
               libplasma5support-dev (>= 4:6.4.4~),
               libwacom-dev,
               libx11-dev,
               libxcb-xfixes0-dev,
               libxcb-xinput-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0+dfsg~),
               xauth <!nocheck>,
               xserver-xorg-input-wacom,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/plasma/wacomtablet
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet

Package: kde-config-tablet
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         systemsettings,
         xserver-xorg-input-wacom,
         ${misc:Depends},
         ${shlibs:Depends},
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE Wacom tablet KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL
 configuration.

## wacomtablet 6.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.4.5")
project(wacomtablet VERSION ${PROJECT_VERSION})

set(PROJECT_DEP_VERSION "6.4.5")
set(QT_MIN_VERSION "6.8.0")
set(KF6_MIN_VERSION "6.14.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX WACOMTABLET
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/wacomtablet-version.h"
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Widgets DBus Qml)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n GlobalAccel Config XmlGui WidgetsAddons WindowSystem Notifications DBusAddons DocTools KCMUtils KIO)
find_package(XCB REQUIRED COMPONENTS XINPUT)
find_package(X11 REQUIRED)

find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(Plasma5Support REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBWACOM libwacom REQUIRED IMPORTED_TARGET)
pkg_check_modules(XORGWACOM xorg-wacom REQUIRED IMPORTED_TARGET)

if(${LIBWACOM_VERSION} VERSION_LESS "0.29")
    message(STATUS "Button detection with libwacom requires version at least 0.29. Detected version is: " ${LIBWACOM_VERSION})
    add_definitions(-DLIBWACOM_EVDEV_MISSING)
endif()

add_definitions(-DQT_STRICT_ITERATORS)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_USE_QSTRINGBUILDER)

ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.12.0
)

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(images)

ki18n_install(po)
if(KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

### Tests
if(BUILD_TESTING)
  find_package(Qt6Test ${QT_MIN_VERSION} CONFIG REQUIRED)
  add_subdirectory(autotests)
endif()
ecm_qt_install_logging_categories(
        EXPORT WACOMTABLET
        FILE wacomtablet.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/kded/CMakeLists.txt ===

## libraries
set(kded_wacomtablet_LIBS
   wacom_common
   KF6::CoreAddons
   KF6::Notifications
   KF6::XmlGui
   KF6::DBusAddons
   KF6::ConfigCore
   KF6::KIOGui
   XCB::XINPUT
   X11::Xi
   PkgConfig::LIBWACOM
)

## sources

# this file contains plugin definition and does not belong in kded_wacomtablet_lib
# don't forget to add extra kcoreaddons_desktop_to_json for it if you wan to include it
set(kded_wacomtablet_PLUGIN_SRC
    tabletdaemon.cpp
)

set(kded_wacomtablet_SRCS
    dbustabletservice.cpp
    eventnotifier.cpp
    procsystemadaptor.cpp
    procsystemproperty.cpp
    tabletbackend.cpp
    tabletbackendfactory.cpp
    tabletfinder.cpp
    tablethandler.cpp
    x11eventnotifier.cpp
    x11tabletfinder.cpp
    xinputadaptor.cpp
    xinputproperty.cpp
    xsetwacomadaptor.cpp
    xsetwacomproperty.cpp
    ../common/globalactions.cpp
    dbustabletservice.h
    eventnotifier.h
    procsystemadaptor.h
    procsystemproperty.h
    tabletbackend.h
    tabletbackendfactory.h
    tabletfinder.h
    tablethandler.h
    x11eventnotifier.h
    x11tabletfinder.h
    xinputadaptor.h
    xinputproperty.h
    xsetwacomadaptor.h
    xsetwacomproperty.h
)

ecm_qt_declare_logging_category(
    kded_wacomtablet_SRCS
    HEADER "logging.h"
    IDENTIFIER "KDED"
    DESCRIPTION "wacomtablet (kded)"
    CATEGORY_NAME "org.kde.wacomtablet.kded"
    EXPORT WACOMTABLET
)

## dbus interfaces
qt_add_dbus_adaptor(kded_wacomtablet_SRCS org.kde.Wacom.xml dbustabletservice.h Wacom::DBusTabletService)

## build KDE daemon module
add_definitions(-DTRANSLATION_DOMAIN=\"wacomtablet\")
add_library(kded_wacomtablet MODULE ${kded_wacomtablet_PLUGIN_SRC} ${kded_wacomtablet_SRCS})
target_link_libraries( kded_wacomtablet ${kded_wacomtablet_LIBS} )

set_target_properties(kded_wacomtablet PROPERTIES OUTPUT_NAME wacomtablet)

## files to install
install(TARGETS kded_wacomtablet DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kded)
install(FILES wacomtablet.notifyrc DESTINATION "${KDE_INSTALL_KNOTIFYRCDIR}")
install(FILES org.kde.Wacom.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

## LIBRARY FOR UNIT TESTS
if (BUILD_TESTING)
    ## build static library for unit testing
    add_library( kded_wacomtablet_lib STATIC ${kded_wacomtablet_SRCS} )
    target_link_libraries( kded_wacomtablet_lib ${kded_wacomtablet_LIBS} )
    set_target_properties( kded_wacomtablet_lib PROPERTIES COMPILE_FLAGS "-fPIC" )

endif (BUILD_TESTING)

=== autotests/common/deviceinformation/CMakeLists.txt ===
add_executable(Test.Common.DeviceInformation testdeviceinformation.cpp ../commontestutils.cpp)
add_test(NAME Test.Common.DeviceInformation COMMAND Test.Common.DeviceInformation)
ecm_mark_as_test(Test.Common.DeviceInformation)
target_link_libraries(Test.Common.DeviceInformation ${WACOM_COMMON_TEST_LIBS})

=== autotests/common/screenspace/CMakeLists.txt ===
add_executable(Test.Common.ScreenSpace testscreenspace.cpp)
add_test(NAME Test.Common.ScreenSpace COMMAND Test.Common.ScreenSpace)
ecm_mark_as_test(Test.Common.ScreenSpace)
target_link_libraries(Test.Common.ScreenSpace ${WACOM_COMMON_TEST_LIBS})

=== autotests/common/tabletprofileconfigadaptor/CMakeLists.txt ===
add_executable(Test.Common.TabletProfileConfigAdaptor testtabletprofileconfigadaptor.cpp ../commontestutils.cpp)
add_test(NAME Test.Common.TabletProfileConfigAdaptor COMMAND Test.Common.TabletProfileConfigAdaptor)
ecm_mark_as_test(Test.Common.TabletProfileConfigAdaptor)
target_link_libraries(Test.Common.TabletProfileConfigAdaptor ${WACOM_COMMON_TEST_LIBS})

=== autotests/kded/tabletdatabase/CMakeLists.txt ===
add_executable(Test.KDED.TabletDatabase testtabletdatabase.cpp ../kdedtestutils.cpp)
add_test(NAME Test.KDED.TabletDatabase COMMAND Test.KDED.TabletDatabase)
ecm_mark_as_test(Test.KDED.TabletDatabase)
target_link_libraries(Test.KDED.TabletDatabase ${WACOM_KDED_TEST_LIBS})

configure_file(testtabletdatabase.companylist ${CMAKE_CURRENT_BINARY_DIR}/testtabletdatabase.companylist COPYONLY)
configure_file(testtabletdatabase.default_devicelist ${CMAKE_CURRENT_BINARY_DIR}/testtabletdatabase.default_devicelist COPYONLY)
configure_file(testtabletdatabase.aiptek_devicelist ${CMAKE_CURRENT_BINARY_DIR}/testtabletdatabase.aiptek_devicelist COPYONLY)
configure_file(testtabletdatabase.toshiba_devicelist ${CMAKE_CURRENT_BINARY_DIR}/testtabletdatabase.toshiba_devicelist COPYONLY)
configure_file(testtabletdatabase.wacom_devicelist ${CMAKE_CURRENT_BINARY_DIR}/testtabletdatabase.wacom_devicelist COPYONLY)

=== debian/changelog ===
wacomtablet (6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:16:31 +0100

wacomtablet (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:05:07 +0100

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
                libkf6widgetsaddons-dev (>= 6.14.0~),
                libkf6windowsystem-dev (>= 6.14.0~),
                libkf6xmlgui-dev (>= 6.14.0~),
-               libplasma-dev (>= 6.4.4~),
-               libplasma5support-dev (>= 4:6.4.4~),
+               libplasma-dev (>= 6.4.5~),
+               libplasma5support-dev (>= 4:6.4.5~),
                libwacom-dev,
                libx11-dev,
                libxcb-xfixes0-dev,

## wacomtablet 6.4.5+p24.04+vstable+git20250921.0643

=== debian/changelog ===
wacomtablet (6.4.5+p24.04+vstable+git20250921.0643-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 06:43:26 +0000

wacomtablet (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:46:37 +0000

wacomtablet (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:03:57 +0000

## wacomtablet 6.4.5+p24.04+vstable+git20251004.0410

=== debian/changelog ===
wacomtablet (6.4.5+p24.04+vstable+git20251004.0410-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 04:10:11 +0000

## wacomtablet 6.4.5+p24.04+vstable+git20251012.0128

=== debian/changelog ===
wacomtablet (6.4.5+p24.04+vstable+git20251012.0128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 01:28:33 +0000

## wacomtablet 6.4.5+p24.04+vstable+git20251019.0355

=== debian/changelog ===
wacomtablet (6.4.5+p24.04+vstable+git20251019.0355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:55:17 +0000

## wacomtablet 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
 project(wacomtablet VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.4.91")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -58,8 +58,8 @@
 add_definitions(-DQT_NO_CAST_TO_ASCII)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 
-ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.12.0
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+    KF 6.16.0
 )
 
 add_subdirectory(src)

=== autotests/kcm/tabletpage/CMakeLists.txt ===
add_executable(Test.KCM.TabletPage testtabletpage.cpp ../profilemanagementmocks.cpp)
add_test(NAME Test.KCM.TabletPage COMMAND Test.KCM.TabletPage)
ecm_mark_as_test(Test.KCM.TabletPage)
target_link_libraries(Test.KCM.TabletPage ${WACOM_KCM_TEST_LIBS})

=== debian/changelog ===
wacomtablet (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.
  * Add/update Bhushan Shah’s key in upstream keyring.
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Use plasma-devel@kde.org as the upstream contact.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Oct 2025 22:06:02 +0200

=== debian/control ===
Source: wacomtablet
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               dbus <!nocheck>,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libplasma-dev (>= 6.4.91~),
               libplasma5support-dev (>= 4:6.4.91~),
               libwacom-dev,
               libx11-dev,
               libxcb-xfixes0-dev,
               libxcb-xinput-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
               xauth <!nocheck>,
               xserver-xorg-input-wacom,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/plasma/wacomtablet
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/wacomtablet
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/wacomtablet.git

Package: kde-config-tablet
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         systemsettings,
         xserver-xorg-input-wacom,
         ${misc:Depends},
         ${shlibs:Depends},
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE Wacom tablet KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL
 configuration.

## wacomtablet 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.0")
 project(wacomtablet VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.91")
+set(PROJECT_DEP_VERSION "6.5.0")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== images/CMakeLists.txt ===
install( FILES
               bl_1.png
               bl_2.png
               bl_3.png
               bl_4.png
               bl_5.png
               bl_6.png
               bl_7.png
               bl_8.png
               bl_9.png
               bl_11.png
               ek-remote.png
               pen.png
               DESTINATION  ${KDE_INSTALL_DATADIR}/wacomtablet/images )

=== src/applet/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.wacomtablet)

=== src/common/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"wacomtablet\")

set(wacom_common_LIBS
  Qt::Core
  Qt::Gui
  Qt::Widgets
  KF6::I18n
  KF6::GlobalAccel
  KF6::ConfigCore
  KF6::CoreAddons
  XCB::XINPUT
  X11::Xi
  PkgConfig::LIBWACOM
)

if(QT_MAJOR_VERSION EQUAL "5")
  list(APPEND wacom_common_LIBS Qt::X11Extras)
else()
  list(APPEND wacom_common_LIBS Qt::GuiPrivate)
endif()

set(wacom_common_SRC
    aboutdata.cpp
    buttonshortcut.cpp
    dbustabletinterface.cpp
    deviceinformation.cpp
    deviceprofile.cpp
    deviceprofileconfigadaptor.cpp
    deviceprofiledefaults.cpp
    deviceproperty.cpp
    devicetype.cpp
    libwacomwrapper.cpp
    mainconfig.cpp
    profilemanager.cpp
    profilemanagement.cpp
    property.cpp
    propertyadaptor.cpp
    screenrotation.cpp
    screenmap.cpp
    screensinfo.cpp
    screenspace.cpp
    stringutils.cpp
    tabletarea.cpp
    tabletdatabase.cpp
    tabletinfo.cpp
    tabletinformation.cpp
    tabletprofile.cpp
    tabletprofileconfigadaptor.cpp
    x11input.cpp
    x11inputdevice.cpp
    x11wacom.cpp

    aboutdata.h
    buttonshortcut.h
    dbustabletinterface.h
    deviceinformation.h
    deviceprofile.h
    deviceprofileconfigadaptor.h
    deviceprofiledefaults.h
    deviceproperty.h
    devicetype.h
    libwacomwrapper.h
    mainconfig.h
    profilemanager.h
    profilemanagement.h
    property.h
    propertyadaptor.h
    screenrotation.h
    screenmap.h
    screensinfo.h
    screenspace.h
    stringutils.h
    tabletarea.h
    tabletdatabase.h
    tabletinfo.h
    tabletinformation.h
    tabletprofile.h
    tabletprofileconfigadaptor.h
    x11input.h
    x11inputdevice.h
    x11wacom.h
)

ecm_qt_declare_logging_category(
    wacom_common_SRC
    HEADER "logging.h"
    DESCRIPTION "wacomtablet (common)"
    IDENTIFIER "COMMON"
    CATEGORY_NAME "org.kde.wacomtablet.common"
    EXPORT WACOMTABLET
)

qt_add_dbus_interfaces(wacom_common_SRC
                        ../kded/org.kde.Wacom.xml)

add_library( wacom_common STATIC ${wacom_common_SRC})

target_link_libraries( wacom_common ${wacom_common_LIBS} )
set_target_properties( wacom_common PROPERTIES COMPILE_FLAGS "-fPIC" )

=== autotests/common/propertyset/CMakeLists.txt ===
add_executable(Test.Common.PropertySet testpropertyset.cpp)
add_test(NAME Test.Common.PropertySet COMMAND Test.Common.PropertySet)
ecm_mark_as_test(Test.Common.PropertySet)
target_link_libraries(Test.Common.PropertySet ${WACOM_COMMON_TEST_LIBS})

=== autotests/common/tabletprofile/CMakeLists.txt ===
add_executable(Test.Common.TabletProfile testtabletprofile.cpp ../commontestutils.cpp)
add_test(NAME Test.Common.TabletProfile COMMAND Test.Common.TabletProfile)
ecm_mark_as_test(Test.Common.TabletProfile)
target_link_libraries(Test.Common.TabletProfile ${WACOM_COMMON_TEST_LIBS})

=== debian/changelog ===
wacomtablet (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Refresh appstream-add-provides-modalias.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:40:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: wacomtablet
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus <!nocheck>,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               dbus <!nocheck>,
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6config-dev (>= 6.18.0~),
@@ -22,8 +23,8 @@
                libkf6widgetsaddons-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.4.91~),
-               libplasma5support-dev (>= 4:6.4.91~),
+               libplasma-dev (>= 6.5.0~),
+               libplasma5support-dev (>= 4:6.5.0~),
                libwacom-dev,
                libx11-dev,
                libxcb-xfixes0-dev,
@@ -33,16 +34,15 @@
                libxrandr-dev,
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
-               qt6-base-private-dev,
-               qt6-declarative-dev (>= 6.9.0~),
+               qt6-declarative-dev (>= 6.9.0+dfsg~),
                xauth <!nocheck>,
                xserver-xorg-input-wacom,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/plasma/wacomtablet
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/wacomtablet
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/wacomtablet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet
 
 Package: kde-config-tablet
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	-xvfb-run -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" -a dbus-run-session dh_auto_test

## wacomtablet 6.5.0+p24.04+vstable+git20251021.0842

=== debian/changelog ===
wacomtablet (6.5.0+p24.04+vstable+git20251021.0842-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:42:33 +0000

wacomtablet (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:18:15 +0000

## wacomtablet 6.5.0+p24.04+vstable+git20251021.1024

=== debian/changelog ===
wacomtablet (6.5.0+p24.04+vstable+git20251021.1024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 10:24:43 +0000

## wacomtablet 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 project(wacomtablet VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== autotests/CMakeLists.txt ===
find_package(Qt6Test REQUIRED)
include(ECMMarkAsTest)

include_directories( ${CMAKE_SOURCE_DIR}/src )
include_directories( ${CMAKE_SOURCE_DIR}/src/common )
include_directories( ${CMAKE_SOURCE_DIR}/src/kded )
include_directories( ${CMAKE_SOURCE_DIR}/src/kcmodule )

set(WACOM_COMMON_TEST_LIBS wacom_common Qt::Test)
set(WACOM_KDED_TEST_LIBS kded_wacomtablet_lib ${kded_wacomtablet_LIBS} Qt::Test)
set(WACOM_KCM_TEST_LIBS kcm_testlib ${kcm_wacomtablet_LIBS} Qt::Test)

add_subdirectory(faketablet)

# Add common Tests
add_subdirectory( common/buttonshortcut )
add_subdirectory( common/deviceinformation )
add_subdirectory( common/deviceprofile )
add_subdirectory( common/deviceprofileconfigadaptor )
add_subdirectory( common/deviceproperty )
add_subdirectory( common/enum )
add_subdirectory( common/libwacomdata )
add_subdirectory( common/profilemanager )
add_subdirectory( common/property )
add_subdirectory( common/propertyset )
add_subdirectory( common/screenspace )
add_subdirectory( common/tabletarea )
add_subdirectory( common/tabletinformation )
add_subdirectory( common/tabletprofile )
add_subdirectory( common/tabletprofileconfigadaptor )

# Add kded Tests
add_subdirectory( kded/dbustabletservice )
add_subdirectory( kded/tabletbackend )
add_subdirectory( kded/tabletdatabase )
add_subdirectory( kded/tablethandler )
add_subdirectory( kded/xinputadaptor )
add_subdirectory( kded/xsetwacomadaptor )

# Add kcm tests
add_subdirectory( kcm/styluspage )
add_subdirectory( kcm/tabletpage )

=== doc/CMakeLists.txt ===
add_subdirectory(user)

=== autotests/common/deviceprofile/CMakeLists.txt ===
add_executable(Test.Common.DeviceProfile testdeviceprofile.cpp ../commontestutils.cpp)
add_test(NAME Test.Common.DeviceProfile COMMAND Test.Common.DeviceProfile)
ecm_mark_as_test(Test.Common.DeviceProfile)
target_link_libraries(Test.Common.DeviceProfile ${WACOM_COMMON_TEST_LIBS})

=== autotests/common/libwacomdata/CMakeLists.txt ===
add_executable(Test.Common.LibwacomData testlibwacomdata.cpp)

# This is technically a test but it's very long, verbose and would fail most of the time
# so for now make it for humans only

#add_test(NAME Test.Common.LibwacomData COMMAND Test.Common.LibwacomData)
#ecm_mark_as_test(Test.Common.LibwacomData)
target_link_libraries(Test.Common.LibwacomData ${WACOM_COMMON_TEST_LIBS})

=== autotests/common/tabletarea/CMakeLists.txt ===
add_executable(Test.Common.TabletArea testtabletarea.cpp)
add_test(NAME Test.Common.TabletArea COMMAND Test.Common.TabletArea)
ecm_mark_as_test(Test.Common.TabletArea)
target_link_libraries(Test.Common.TabletArea ${WACOM_COMMON_TEST_LIBS})

=== autotests/common/tabletinformation/CMakeLists.txt ===
add_executable(Test.Common.TabletInformation testtabletinformation.cpp ../commontestutils.cpp)
add_test(NAME Test.Common.TabletInformation COMMAND Test.Common.TabletInformation)
ecm_mark_as_test(Test.Common.TabletInformation)
target_link_libraries(Test.Common.TabletInformation ${WACOM_COMMON_TEST_LIBS})

=== autotests/kded/dbustabletservice/CMakeLists.txt ===
include_directories (${CMAKE_BINARY_DIR}/src/common)

add_executable(Test.KDED.DBusTabletService testdbustabletservice.cpp ../tablethandlermock.cpp)
add_test(NAME Test.KDED.DBusTabletService COMMAND Test.KDED.DBusTabletService)
ecm_mark_as_test(Test.KDED.DBusTabletService)
target_link_libraries(Test.KDED.DBusTabletService ${WACOM_KDED_TEST_LIBS})

=== debian/changelog ===
wacomtablet (6.5.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Make build time tests non fatal.
    - Do not depend on the wacaom X11 driver.

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 09:44:07 +0000

wacomtablet (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:16:47 +0100

wacomtablet (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:49:56 +0000

wacomtablet (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:01:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               cmake (>= 3.16~),
                dbus <!nocheck>,
-               debhelper-compat (= 13),
-               dh-sequence-kf6,
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6config-dev (>= 6.18.0~),
@@ -23,8 +23,8 @@
                libkf6widgetsaddons-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.0~),
-               libplasma5support-dev (>= 4:6.5.0~),
+               libplasma-dev (>= 6.5.1~),
+               libplasma5support-dev (>= 4:6.5.1~),
                libwacom-dev,
                libx11-dev,
                libxcb-xfixes0-dev,
@@ -34,12 +34,12 @@
                libxrandr-dev,
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0+dfsg~),
+               qt6-base-private-dev,
+               qt6-declarative-dev (>= 6.9.0~),
                xauth <!nocheck>,
                xserver-xorg-input-wacom,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/wacomtablet
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet
@@ -54,7 +54,6 @@
          qml6-module-qtquick,
          qml6-module-qtquick-layouts,
          systemsettings,
-         xserver-xorg-input-wacom,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: implements a KDE configuration GUI for the Wacom drivers

## wacomtablet 6.5.1+p24.04+vstable+git20251029.0621

=== debian/changelog ===
wacomtablet (6.5.1+p24.04+vstable+git20251029.0621-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:21:22 +0000

wacomtablet (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:35:06 +0000

## wacomtablet 6.5.1+p24.04+vstable+git20251030.0507

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 project(wacomtablet VERSION ${PROJECT_VERSION})
 
 set(PROJECT_DEP_VERSION "6.5.1")

=== debian/changelog ===
wacomtablet (6.5.1+p24.04+vstable+git20251030.0507-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 05:07:15 +0000

=== debian/control ===
Source: wacomtablet
Section: kde
Priority: optional
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <debian@pusling.com>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake,
               dbus,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kxmlgui-dev,
               libplasma-dev,
               libwacom-dev,
               libxcb-xfixes0-dev,
               libxcb-xinput-dev,
               libxi-dev,
               libxrandr-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma5support-dev,
               qt6-5compat-dev,
               qt6-declarative-dev,
               xauth,
               xserver-xorg-input-wacom,
               xvfb
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://projects.kde.org/projects/extragear/base/wacomtablet
Vcs-Git: https://invent.kde.org/neon/extras/wacomtablet.git
Vcs-Browser: https://invent.kde.org/neon/extras/wacomtablet
Maintainer: Neon CI <neon@kde.org>

Package: kde-config-tablet
Architecture: any
Depends: libplasma6,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         xserver-xorg-input-wacom,
         ${misc:Depends},
         ${shlibs:Depends}
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE Wacom tablet KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL
 configuration.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/plasma/([\d.]+)/@PACKAGE@-([\d.]+).tar.xz

## wacomtablet 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(PROJECT_VERSION "6.5.2")
 project(wacomtablet VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== src/CMakeLists.txt ===

include_directories(common)
add_subdirectory( common )

add_subdirectory( applet )
add_subdirectory( dataengine )
add_subdirectory( kcmodule )
add_subdirectory( kded )
add_subdirectory( tabletfinder )

=== src/dataengine/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"wacomtablet\")

set(dataengine_SRCS
    wacomtabletengine.cpp
    wacomtabletservice.cpp
    multidbuspendingcallwatcher.cpp

    wacomtabletengine.h
    wacomtabletservice.h
    multidbuspendingcallwatcher.h
)

add_library(plasma_engine_wacomtablet MODULE ${dataengine_SRCS})
target_link_libraries(plasma_engine_wacomtablet
                      Plasma::Plasma
                      Qt::DBus
                      wacom_common
)

target_link_libraries(plasma_engine_wacomtablet Plasma::Plasma5Support)

install(TARGETS plasma_engine_wacomtablet
        DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma5support/dataengine
)
install(FILES wacomtablet.operations
        DESTINATION ${KDE_INSTALL_DATADIR}/plasma5support/services
)

=== autotests/common/property/CMakeLists.txt ===
add_executable(Test.Common.Property testproperty.cpp)
add_test(NAME Test.Common.Property COMMAND Test.Common.Property)
ecm_mark_as_test(Test.Common.Property)
target_link_libraries(Test.Common.Property ${WACOM_COMMON_TEST_LIBS})

=== autotests/kded/xinputadaptor/CMakeLists.txt ===

add_executable(Test.KDED.XInputAdaptor testxinputadaptor.cpp ../tabletdependenttest.cpp)
add_test(NAME Test.KDED.XInputAdaptor COMMAND Test.KDED.XInputAdaptor)
ecm_mark_as_test(Test.KDED.XInputAdaptor)
target_link_libraries(Test.KDED.XInputAdaptor ${WACOM_KDED_TEST_LIBS})

=== debian/changelog ===
wacomtablet (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:34:17 +0100

=== debian/control ===
Source: wacomtablet
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               dbus <!nocheck>,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libplasma-dev (>= 6.5.2~),
               libplasma5support-dev (>= 4:6.4.91~),
               libwacom-dev,
               libx11-dev,
               libxcb-xfixes0-dev,
               libxcb-xinput-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
               xauth <!nocheck>,
               xserver-xorg-input-wacom,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/wacomtablet
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/wacomtablet
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/wacomtablet.git

Package: kde-config-tablet
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         systemsettings,
         xserver-xorg-input-wacom,
         ${misc:Depends},
         ${shlibs:Depends},
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE Wacom tablet KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL
 configuration.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" -a dbus-run-session dh_auto_test --max-parallel=1

## wacomtablet 6.5.3

=== debian/changelog ===
wacomtablet (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:26:00 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf6widgetsaddons-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.2~),
+               libplasma-dev (>= 6.5.3~),
                libplasma5support-dev (>= 4:6.4.91~),
                libwacom-dev,
                libx11-dev,

## wacomtablet 6.5.3+p24.04+vunstable+git20251128.0021

=== debian/changelog ===
wacomtablet (6.5.3+p24.04+vunstable+git20251128.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 00:21:41 +0000

wacomtablet (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:16:15 +1000

wacomtablet (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:15:08 +1000

=== debian/control ===
Source: wacomtablet
Section: kde
Priority: optional
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <debian@pusling.com>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake,
               dbus,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-dev,
               kf6-knotifications-dev,
               kf6-kxmlgui-dev,
               libplasma-dev,
               libwacom-dev,
               libxcb-xfixes0-dev,
               libxcb-xinput-dev,
               libxi-dev,
               libxrandr-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma5support-dev,
               qt6-5compat-dev,
               qt6-declarative-dev,
               xauth,
               xserver-xorg-input-wacom,
               xvfb
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://projects.kde.org/projects/extragear/base/wacomtablet
Vcs-Git: https://invent.kde.org/neon/extras/wacomtablet.git
Vcs-Browser: https://invent.kde.org/neon/extras/wacomtablet
Maintainer: Neon CI <neon@kde.org>

Package: kde-config-tablet
Architecture: any
Depends: libplasma6,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         xserver-xorg-input-wacom,
         ${misc:Depends},
         ${shlibs:Depends}
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE Wacom tablet KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL
 configuration.
